Subject: [bug#45405] [PATCH] gnu: Update Xfce base to 4.16.0.

From: Leo Famulari <[email-masked]>
Date: Thu, 24 Dec 2020 16:51:30 -0500

On Thu, Dec 24, 2020 at 02:21:46PM +0100, Michael Rohleder wrote:
> * gnu/packages/xfce.scm (xfdesktop): Update to 4.16.0.
[...]
> Tested with some vm-images and xfce-plugins.  As far as I can tell, it looks good ;)

Thanks for the work and for telling us how tested it!

> I couldn't get the test for xfconf run, so I disabled it.  If someone(TM) wants
> to take a look... (I'm a bit exhausted)

Okay. When your energy is renewed, can you send a message saying what
goes wrong and what you tried?

> Random Thoughts/Notes:
> Sooner or later we need the xfce-dev-tools packaged, because I tried building
> xfce4-xkb-plugin from upstream master and noticed it needs it.
> (Maybe the xfconf test is also supposed to run with it).

Could it be that xfce-dev-tools is needed when building from VCS, but
not for "real" releases?

> Also, I noticed that debian sid has added a new pkg xfce4-helper yesterday.  Maybe
> something like this could be a good idea for us too...

What would that xfce4-helper package do? I couldn't find the new package
on Debian's web site.